Bug 98039 - KMail crash on starting (nouveau-related)
Summary: KMail crash on starting (nouveau-related)
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/nouveau (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Nouveau Project
QA Contact: Nouveau Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-04 07:50 UTC by René Krell
Modified: 2019-09-18 20:43 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description René Krell 2016-10-04 07:50:34 UTC
I was asked to report https://bugs.kde.org/show_bug.cgi?id=369514 also here:

Application: kmail (5.3.0 (QtWebEngine))

Qt Version: 5.6.1
Frameworks Version: 5.26.0
Operating System: Linux 4.7.4-2-default x86_64
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:
I started KMail.

Using OpenSUSE Tumbleweed 20160927 and the Nouveau driver (kernel 4.7.4, xf86-video-nouveau-1.0.13), KMail crashes everytime I try to start it. The KDE Plasma desktop and Chromium run without any flaw.

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff6d0b6a940 (LWP 12021))]

Thread 42 (Thread 0x7ff52effb700 (LWP 12105)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c95d49 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c96460 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c96630 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 41 (Thread 0x7ff52f7fc700 (LWP 12103)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:81
#2  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:99
#3  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 40 (Thread 0x7ff52fffd700 (LWP 12102)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:81
#2  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:99
#3  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 39 (Thread 0x7ff5f4fca700 (LWP 12101)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:81
#2  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:99
#3  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 38 (Thread 0x7ff5f57cb700 (LWP 12100)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:81
#2  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:99
#3  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 37 (Thread 0x7ff5f5fcc700 (LWP 12099)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:81
#2  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:99
#3  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 36 (Thread 0x7ff5f67cd700 (LWP 12098)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:81
#2  0x00007ff6be711353 in JSC::GCThread::gcThreadMain() () at heap/GCThread.cpp:99
#3  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 35 (Thread 0x7ff5f6fce700 (LWP 12097)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6be710201 in JSC::BlockAllocator::blockFreeingThreadMain() () at heap/BlockAllocator.cpp:139
#2  0x00007ff6bea47971 in wtfThreadEntryPoint() () at wtf/ThreadingPthreads.cpp:195
#3  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#4  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 34 (Thread 0x7ff5f7be0700 (LWP 12096)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6bea16c4b in WTF::TCMalloc_PageHeap::scavengerThread() () at wtf/FastMalloc.cpp:2821
#2  0x00007ff6bea16c89 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () at wtf/FastMalloc.cpp:1989
#3  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#4  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 33 (Thread 0x7ff600e48700 (LWP 12095)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b47587e4 in QTWTF::TCMalloc_PageHeap::scavengerThread() (this=0x7ff6b4a41ec0 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007ff6b4758829 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#4  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 32 (Thread 0x7ff6020b4700 (LWP 12083)):
#0  0x00007ff6cd9166ed in poll () at /lib64/libc.so.6
#1  0x00007ff6c2f83876 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff5f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff6020b3c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x2e4b2e0) at thread/qthread_unix.cpp:341
#7  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#8  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 31 (Thread 0x7ff60389b700 (LWP 12080)):
#0  0x00007ff6cd9166ed in poll () at /lib64/libc.so.6
#1  0x00007ff6c2f83876 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff5f8000940, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff60389ac80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x160f150) at thread/qthread_unix.cpp:341
#7  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#8  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 30 (Thread 0x7ff611d40700 (LWP 12073)):
#0  0x00007ff6c2fc8e89 in g_mutex_lock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff6c2f82d85 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8379b in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff5fc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff611d3fc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x11fd060) at thread/qthread_unix.cpp:341
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 29 (Thread 0x7ff612541700 (LWP 12066)):
#0  0x00007ff6cd9166ed in poll () at /lib64/libc.so.6
#1  0x00007ff6c2f83876 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6080008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff612540c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x107bec0) at thread/qthread_unix.cpp:341
#7  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#8  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7ff629ffb700 (LWP 12059)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9aee850 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9adb10c in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9adb5b7 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9ad7e35 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6bb1db937 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6bb1dbb6e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6bb1dbca9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#13 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7ff62a7fc700 (LWP 12058)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c95d49 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c96460 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c96630 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7ff62affd700 (LWP 12057)):
#0  0x00007ff6aa0b1eee in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#1  0x00007ff6aa0b276a in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#2  0x00007ff6b12de63c in pa_mainloop_dispatch () at /usr/lib64/libpulse.so.0
#3  0x00007ff6b12dea3c in pa_mainloop_iterate () at /usr/lib64/libpulse.so.0
#4  0x00007ff6b12deae0 in pa_mainloop_run () at /usr/lib64/libpulse.so.0
#5  0x00007ff6b12ecb09 in  () at /usr/lib64/libpulse.so.0
#6  0x00007ff6aa0c2108 in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#7  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#8  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7ff62b7fe700 (LWP 12056)):
#0  0x00007ff6cd92bbcb in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007ff6cd92d684 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007ff6adc4f4de in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007ff6adc4f6d4 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007ff6adc53e58 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007ff6adc3ddfa in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007ff6b9c48b6e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#12 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7ff62bfff700 (LWP 12055)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7ff648ff9700 (LWP 12054)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7ff6497fa700 (LWP 12053)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b94caf99 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c96630 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#5  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7ff649ffb700 (LWP 12052)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7ff64a7fc700 (LWP 12051)):
#0  0x00007ff6cd92bbcb in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007ff6cd92d684 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007ff6adc4f4de in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007ff6adc4f6d4 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007ff6adc53e58 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007ff6adc3ddfa in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007ff6b9c48b6e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9145ab8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6b9145c1b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff6b9c96b68 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#14 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7ff64affd700 (LWP 12050)):
#0  0x00007ff6cd92bbcb in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007ff6cd92d684 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007ff6adc4f4de in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007ff6adc4f6d4 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007ff6adc53e58 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007ff6adc3ddfa in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007ff6b9c48c02 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9145a08 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6b9145c7b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff6b9c96b68 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#14 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7ff64b7fe700 (LWP 12049)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b9145958 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9145c6b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c96b68 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#11 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7ff64bfff700 (LWP 12048)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b91458a8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9145c5b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c96b68 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#11 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7ff66cff9700 (LWP 12047)):
#0  0x00007ff6cd92bbcb in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007ff6cd92d684 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007ff6adc4f4de in  () at /usr/lib64/libevent-2.0.so.5
#3  0x00007ff6adc4f6d4 in event_warn () at /usr/lib64/libevent-2.0.so.5
#4  0x00007ff6adc53e58 in  () at /usr/lib64/libevent-2.0.so.5
#5  0x00007ff6adc3ddfa in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#6  0x00007ff6b9c48c02 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b91457f8 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6b9145c4b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007ff6b9c96b68 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#14 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7ff66d7fa700 (LWP 12046)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b9145748 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9145c3b in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6b9c96b68 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#11 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7ff66dffb700 (LWP 12045)):
#0  0x00007ff6c37af4b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8b2e2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c997d9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c99d13 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7ff66e7fc700 (LWP 12044)):
#0  0x00007ff6c37af4b8 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8b2e2 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c997d9 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c99d13 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7ff66effd700 (LWP 12043)):
#0  0x00007ff6c37af10f in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff6b9c8baf5 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007ff6b9c8bbc4 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007ff6b9c6e473 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7ff66f7fe700 (LWP 12042)):
#0  0x00007ff6cd9127bd in write () at /lib64/libc.so.6
#1  0x00007ff6cd8a9da7 in _IO_new_file_write () at /lib64/libc.so.6
#2  0x00007ff6cd8a90f2 in new_do_write () at /lib64/libc.so.6
#3  0x00007ff6cd8aa4fe in __GI__IO_file_xsputn () at /lib64/libc.so.6
#4  0x00007ff6cd881255 in buffered_vfprintf () at /lib64/libc.so.6
#5  0x00007ff6cd87e4d5 in vfprintf () at /lib64/libc.so.6
#6  0x00007ff6cd92d6d9 in __fprintf_chk () at /lib64/libc.so.6
#7  0x00007ff6adc4f4de in  () at /usr/lib64/libevent-2.0.so.5
#8  0x00007ff6adc4f6d4 in event_warn () at /usr/lib64/libevent-2.0.so.5
#9  0x00007ff6adc53e58 in  () at /usr/lib64/libevent-2.0.so.5
#10 0x00007ff6adc3ddfa in event_base_loop () at /usr/lib64/libevent-2.0.so.5
#11 0x00007ff6b9c48b6e in  () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007ff6b9c7f0ba in  () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007ff6b9c6aa55 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007ff6b9c96ae6 in  () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007ff6b9c9323d in  () at /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#17 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7ff679c13700 (LWP 12035)):
#0  0x00007ff6c2f808a0 in  () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff6c2f831a4 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f83814 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6680008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff679c12c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x11eca60) at thread/qthread_unix.cpp:341
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7ff67a414700 (LWP 12033)):
#0  0x00007ff6c2f83802 in  () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#3  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff67a413c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#4  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#5  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x10ed210) at thread/qthread_unix.cpp:341
#6  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#7  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7ff6875e0700 (LWP 12031)):
#0  0x00007ff6c2fc8ea4 in g_mutex_unlock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff6c2f82d6c in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8379b in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff6875dfc80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0xe149b0) at thread/qthread_unix.cpp:341
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7ff687fff700 (LWP 12029)):
#0  0x00007ff6ce4552a0 in postEventSourceCheck(GSource*) (this=<optimized out>) at ../../src/corelib/thread/qmutex.h:159
#1  0x00007ff6ce4552a0 in postEventSourceCheck(GSource*) (this=<optimized out>) at ../../src/corelib/thread/qmutex.h:138
#2  0x00007ff6ce4552a0 in postEventSourceCheck(GSource*) (this=<optimized out>, __in_chrg=<optimized out>) at ../../src/corelib/thread/qmutex.h:132
#3  0x00007ff6ce4552a0 in postEventSourceCheck(GSource*) (this=0xe64330) at ../../src/corelib/thread/qthread_p.h:246
#4  0x00007ff6ce4552a0 in postEventSourceCheck(GSource*) (timeout=<synthetic pointer>, s=0x7ff67c0012d0) at kernel/qeventdispatcher_glib.cpp:253
#5  0x00007ff6ce4552a0 in postEventSourceCheck(GSource*) (source=0x7ff67c0012d0) at kernel/qeventdispatcher_glib.cpp:263
#6  0x00007ff6c2f83269 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#7  0x00007ff6c2f83814 in  () at /usr/lib64/libglib-2.0.so.0
#8  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#9  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff67c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#10 0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff687ffec80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#11 0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#12 0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0xd98c30) at thread/qthread_unix.cpp:341
#13 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#14 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7ff694952700 (LWP 12027)):
#0  0x00007ff6c2fc8e89 in g_mutex_lock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff6c2f82d85 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8379b in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff694951c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#7  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0xdfb5e0) at thread/qthread_unix.cpp:341
#8  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7ff695153700 (LWP 12025)):
#0  0x00007ff6cd91275d in read () at /lib64/libc.so.6
#1  0x00007ff6c2fc7ae0 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f83325 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6c2f83814 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff68c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#6  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff695152c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#8  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0xe672a0) at thread/qthread_unix.cpp:341
#9  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#10 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7ff695fe5700 (LWP 12024)):
#0  0x00007ff6ce453d2f in QTimerInfoList::timerWait(timespec&) (t=<synthetic pointer>) at ../../src/corelib/kernel/qcore_unix_p.h:85
#1  0x00007ff6ce453d2f in QTimerInfoList::timerWait(timespec&) (t2=<synthetic pointer>, t1=...) at ../../src/corelib/kernel/qcore_unix_p.h:115
#2  0x00007ff6ce453d2f in QTimerInfoList::timerWait(timespec&) (this=0x7ff688002cd0, tm=...) at kernel/qtimerinfo_unix.cpp:398
#3  0x00007ff6ce454f9e in timerSourcePrepare(GSource*, gint*) (timeout=0x7ff695fe4ab4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:126
#4  0x00007ff6ce454f9e in timerSourcePrepare(GSource*, gint*) (source=<optimized out>, timeout=0x7ff695fe4ab4) at kernel/qeventdispatcher_glib.cpp:159
#5  0x00007ff6c2f82d79 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#6  0x00007ff6c2f8379b in  () at /usr/lib64/libglib-2.0.so.0
#7  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#8  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#9  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff695fe4c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#10 0x00007ff6ce2233c3 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#11 0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0xdcb090) at thread/qthread_unix.cpp:341
#12 0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#13 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7ff6971f6700 (LWP 12023)):
#0  0x00007ff6c2fc8e89 in g_mutex_lock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007ff6c2f82d85 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#2  0x00007ff6c2f8379b in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007ff6ce455aab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7ff6900008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#5  0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ff6971f5c50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007ff6ce2233c3 in QThread::exec() (this=this@entry=0x7ff6ccafbd20 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:500
#7  0x00007ff6cc888985 in QDBusConnectionManager::run() (this=0x7ff6ccafbd20 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:189
#8  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0x7ff6ccafbd20 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:341
#9  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#10 0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7ff6a4789700 (LWP 12022)):
#0  0x00007ff6cd9166ed in poll () at /lib64/libc.so.6
#1  0x00007ff6c0bc03f0 in  () at /usr/lib64/libxcb.so.1
#2  0x00007ff6c0bc2189 in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007ff6a62727a9 in QXcbEventReader::run() (this=0xc00b10) at qxcbconnection.cpp:1325
#4  0x00007ff6ce2282e8 in QThreadPrivate::start(void*) (arg=0xc00b10) at thread/qthread_unix.cpp:341
#5  0x00007ff6c37a9454 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ff6cd91f3ff in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7ff6d0b6a940 (LWP 12021)):
[KCrash Handler]
#6  0x00007ff6cd86a5ef in raise () at /lib64/libc.so.6
#7  0x00007ff6cd86b9ea in abort () at /lib64/libc.so.6
#8  0x00007ff6cd8a8190 in __libc_message () at /lib64/libc.so.6
#9  0x00007ff6cd8ae546 in malloc_printerr () at /lib64/libc.so.6
#10 0x00007ff6cd8aed3e in _int_free () at /lib64/libc.so.6
#11 0x00007ff6a2bafe9f in nouveau_fence_trigger_work (fence=fence@entry=0x2ed01b0) at nouveau_fence.c:58
#12 0x00007ff6a2bb00de in nouveau_fence_update (screen=screen@entry=0xcc0980, flushed=flushed@entry=false) at nouveau_fence.c:132
#13 0x00007ff6a2bb0403 in nouveau_fence_wait (fence=0x7ff62415f980, debug=0x0) at nouveau_fence.c:223
#14 0x00007ff6a2921d1b in st_finish (st=st@entry=0x1586210) at state_tracker/st_cb_flush.c:101
#15 0x00007ff6a2921d60 in st_glFinish (ctx=<optimized out>) at state_tracker/st_cb_flush.c:136
#16 0x00007ff6cf1ab4a9 in QOpenGLWidgetPrivate::beginCompose() (this=0x1142940) at kernel/qopenglwidget.cpp:721
#17 0x00007ff6cf1794c1 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12180
#18 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#19 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#20 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#21 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#22 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#23 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#24 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#25 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#26 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#27 0x00007ff6cf179487 in QWidgetPrivate::sendComposeStatus(QWidget*, bool) (w=<optimized out>, end=end@entry=false) at kernel/qwidget.cpp:12184
#28 0x00007ff6cf150782 in QWidgetBackingStore::qt_flush(QWidget*, QRegion const&, QBackingStore*, QWidget*, QPoint const&, QPlatformTextureList*, QWidgetBackingStore*) (widget=0xe924a0, region=..., backingStore=0x11e2330, tlw=0xe924a0, tlwOffset=..., widgetTextures=0xc00af0, widgetBackingStore=0x12266f0) at kernel/qwidgetbackingstore.cpp:108
#29 0x00007ff6cf1517e5 in QWidgetBackingStore::flush(QWidget*) (this=this@entry=0x12266f0, widget=widget@entry=0x0) at kernel/qwidgetbackingstore.cpp:1387
#30 0x00007ff6cf1534e2 in QWidgetBackingStore::doSync() (this=this@entry=0x12266f0) at kernel/qwidgetbackingstore.cpp:1279
#31 0x00007ff6cf153fe9 in QWidgetBackingStore::sync() (this=0x12266f0) at kernel/qwidgetbackingstore.cpp:1145
#32 0x00007ff6cf17395f in QWidgetPrivate::syncBackingStore() (this=0xe9a3d0) at kernel/qwidget.cpp:1942
#33 0x00007ff6cf18b678 in QWidget::event(QEvent*) (this=this@entry=0xe924a0, event=event@entry=0x239a7f0) at kernel/qwidget.cpp:9053
#34 0x00007ff6cf2a4b5b in QMainWindow::event(QEvent*) (this=this@entry=0xe924a0, event=event@entry=0x239a7f0) at widgets/qmainwindow.cpp:1543
#35 0x00007ff6cd3436a7 in KMainWindow::event(QEvent*) (this=this@entry=0xe924a0, ev=ev@entry=0x239a7f0) at /usr/src/debug/kxmlgui-5.26.0/src/kmainwindow.cpp:867
#36 0x00007ff6cd3885b5 in KXmlGuiWindow::event(QEvent*) (this=0xe924a0, ev=0x239a7f0) at /usr/src/debug/kxmlgui-5.26.0/src/kxmlguiwindow.cpp:118
#37 0x00007ff6cf145acc in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0xe924a0, e=0x239a7f0) at kernel/qapplication.cpp:3804
#38 0x00007ff6cf14af6f in QApplication::notify(QObject*, QEvent*) (this=0x7fffcd1f3eb0, receiver=0xe924a0, e=0x239a7f0) at kernel/qapplication.cpp:3561
#39 0x00007ff6ce3ff9b0 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0xe924a0, event=event@entry=0x239a7f0) at kernel/qcoreapplication.cpp:1015
#40 0x00007ff6ce40193c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x239a7f0, receiver=<optimized out>) at kernel/qcoreapplication.h:225
#41 0x00007ff6ce40193c in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xbd8a40) at kernel/qcoreapplication.cpp:1650
#42 0x00007ff6ce401df8 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1508
#43 0x00007ff6ce455683 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0xc51720) at kernel/qeventdispatcher_glib.cpp:270
#44 0x00007ff6c2f83677 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#45 0x00007ff6c2f838e0 in  () at /usr/lib64/libglib-2.0.so.0
#46 0x00007ff6c2f8398c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#47 0x00007ff6ce455a8f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0xc3d8a0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#48 0x00007ff6ce3fd6fa in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffcd1f3840, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#49 0x00007ff6ce405f0c in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1285
#50 0x00007ff6ce94eb5c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1607
#51 0x00007ff6cf142b05 in QApplication::exec() () at kernel/qapplication.cpp:2979
#52 0x0000000000403cbf in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kdepim-16.08.1/kmail/src/main.cpp:161

Reported using DrKonqi
Comment 1 René Krell 2016-10-04 07:52:33 UTC
HP ZBook 15 G2 - Optimus hardware
Using legacy BIOS, option "Hybrid Graphics" set to "Auto". If set to "Enabled" the crash doesn't occur.
The NVidia card is a NVIDIA Quadro K610M with 1 GB.
Comment 2 ianseeks 2016-10-04 08:20:54 UTC
I'm suffering the same situation, all worked fine until kmail 5.3.0 came along with qtwebengine.
Crashes at random times, from as soon as the application is up, to clicking on a new folder or just when it feels like.
I can never get anything from drkonqui as it always crashes when it tries to load after kmail crashing. 
Here is one of the crashes when i launched kmail from cli

kmail
Pass a valid window to KWallet::Wallet::openWallet().
 void AdblockManager::reloadConfig() false    
AdBlock::AdblockManager(0xfa2ce0)
this does not work on a KActionCollection containing actions!
org.kde.akonadi.ETM: GEN true false false
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: 
org.kde.akonadi.ETM: Subtree:  2 QSet(3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 
15, 2)
org.kde.akonadi.ETM: collection: "inbox"
org.kde.akonadi.ETM: Fetch job took  275 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 14
org.kde.akonadi.ETM: first fetched collection: "Local Folders"
org.kde.akonadi.ETM: collection: QVector()
org.kde.akonadi.ETM: Fetch job took  357 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 2
org.kde.akonadi.ETM: first fetched collection: "Search"
org.kde.akonadi.ETM: Fetch job took  187 msec
org.kde.akonadi.ETM: was item fetch job: items: 12
org.kde.akonadi.ETM: Fetch job took  125 msec
org.kde.akonadi.ETM: was collection fetch job: collections: 0
org.kde.akonadi.ETM: collection: "opensuse.org"
org.kde.akonadi.ETM: Fetch job took  343 msec
org.kde.akonadi.ETM: was item fetch job: items: 3464
*** Error in `kmail': double free or corruption (fasttop): 0x00000000028ba3f0 
***
======= Backtrace: =========
/lib64/libc.so.6(+0x7012b)[0x7f3280a2312b]
/lib64/libc.so.6(+0x75936)[0x7f3280a28936]
/lib64/libc.so.6(+0x7610e)[0x7f3280a2910e]
/usr/lib64/dri/nouveau_dri.so(+0x46234f)[0x7f3255cb934f]
/usr/lib64/dri/nouveau_dri.so(+0x46258e)[0x7f3255cb958e]
/usr/lib64/dri/nouveau_dri.so(+0x462892)[0x7f3255cb9892]
/usr/lib64/dri/nouveau_dri.so(+0x1d4adb)[0x7f3255a2badb]
/usr/lib64/dri/nouveau_dri.so(+0x1d4b20)[0x7f3255a2bb20]
/usr/lib64/libQt5WebEngineCore.so.5(+0x237be21)[0x7f326d55fe21]
/usr/lib64/libQt5WebEngineCore.so.5(+0x237be56)[0x7f326d55fe56]
/usr/lib64/libQt5WebEngineCore.so.5(+0x2383bea)[0x7f326d567bea]
/usr/lib64/libQt5WebEngineCore.so.5(+0x23ca53a)[0x7f326d5ae53a]
/usr/lib64/libQt5WebEngineCore.so.5(+0x239ac92)[0x7f326d57ec92]
/usr/lib64/libQt5WebEngineCore.so.5(+0x186ffe9)[0x7f326ca53fe9]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1874c74)[0x7f326ca58c74]
/usr/lib64/libQt5WebEngineCore.so.5(+0x185469f)[0x7f326ca3869f]
/usr/lib64/libQt5WebEngineCore.so.5(+0x186ec13)[0x7f326ca52c13]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1c3e510)[0x7f326ce22510]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1bee4d4)[0x7f326cdd24d4]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1beecc9)[0x7f326cdd2cc9]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1bef182)[0x7f326cdd3182]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1bf1429)[0x7f326cdd5429]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1c020ba)[0x7f326cde60ba]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1beda55)[0x7f326cdd1a55]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1c19ae6)[0x7f326cdfdae6]
/usr/lib64/libQt5WebEngineCore.so.5(+0x1c1623d)[0x7f326cdfa23d]
/lib64/libpthread.so.0(+0x7454)[0x7f327692a454]
/lib64/libc.so.6(clone+0x6d)[0x7f3280a9b15d]
======= Memory map: ========
00400000-00406000 r-xp 00000000 08:02 1596314                            /usr/
bin/kmail
00606000-00607000 r--p 00006000 08:02 1596314                            /usr/
bin/kmail
00607000-00608000 rw-p 00007000 08:02 1596314                            /usr/
bin/kmail
00b4e000-02990000 rw-p 00000000 00:00 0                                  
[heap]
7f316af20000-7f316af21000 ---p 00000000 00:00 0 
7f316af21000-7f316b721000 rw-p 00000000 00:00 0 
7f316b721000-7f316b821000 rw-s 00000000 00:12 1527902                    /dev/
shm/.org.chromium.Chromium.l5blEH (deleted)
7f316b821000-7f316b921000 rw-s 00000000 00:12 1527901                    /dev/
shm/.org.chromium.Chromium.dG6u9f (deleted)
7f316bb21000-7f316bb28000 r-xp 00000000 08:02 1713782                    /usr/
lib64/grantlee/5.1/kde_grantlee_plugin.so
7f316bb28000-7f316bd27000 ---p 00007000 08:02 1713782                    /usr/
lib64/grantlee/5.1/kde_grantlee_plugin.so
7f316bd27000-7f316bd28000 r--p 00006000 08:02 1713782                    /usr/
lib64/grantlee/5.1/kde_grantlee_plugin.so
7f316bd28000-7f316bd29000 rw-p 00007000 08:02 1713782                    /usr/
lib64/grantlee/5.1/kde_grantlee_plugin.so
7f316bd29000-7f316bd3e000 r-xp 00000000 08:02 1733307                    /usr/
lib64/grantlee/5.1/grantlee_i18ntags.so
7f316bd3e000-7f316bf3d000 ---p 00015000 08:02 1733307                    /usr/
lib64/grantlee/5.1/grantlee_i18ntags.so
7f316bf3d000-7f316bf3f000 r--p 00014000 08:02 1733307                    /usr/
lib64/grantlee/5.1/grantlee_i18ntags.so
7f316bf3f000-7f316bf40000 rw-p 00016000 08:02 1733307                    /usr/
lib64/grantlee/5.1/grantlee_i18ntags.so
7f316bf40000-7f316bf80000 rw-p 00000000 00:00 0 
7f316bfaa000-7f316c3ba000 rw-p 00000000 00:00 0 
7f316c3ba000-7f31ec3ba000 rwxp 00000000 00:00 0 
7f31ec3ba000-7f31ec3bb000 ---p 00000000 00:00 0 
7f31ec3bb000-7f31ecbbb000 rw-p 00000000 00:00 0 
7f31ecbbb000-7f31ecbbe000 r-xp 00000000 08:02 1732589                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_xdiff.so
7f31ecbbe000-7f31ecdbd000 ---p 00003000 08:02 1732589                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_xdiff.so
7f31ecdbd000-7f31ecdbe000 r--p 00002000 08:02 1732589                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_xdiff.so
7f31ecdbe000-7f31ecdbf000 rw-p 00003000 08:02 1732589                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_xdiff.so
7f31ecdbf000-7f31ecdce000 r-xp 00000000 08:02 1733487                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_vcard.so
7f31ecdce000-7f31ecfcd000 ---p 0000f000 08:02 1733487                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_vcard.so
7f31ecfcd000-7f31ecfce000 r--p 0000e000 08:02 1733487                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_vcard.so
7f31ecfce000-7f31ecfcf000 rw-p 0000f000 08:02 1733487                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_vcard.so
7f31ecfcf000-7f31ecff7000 r-xp 00000000 08:02 1732525                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_calendar.so
7f31ecff7000-7f31ed1f6000 ---p 00028000 08:02 1732525                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_calendar.so
7f31ed1f6000-7f31ed1f8000 r--p 00027000 08:02 1732525                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_calendar.so
7f31ed1f8000-7f31ed1f9000 rw-p 00029000 08:02 1732525                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_text_calendar.so
7f31ed1f9000-7f31ed21d000 r-xp 00000000 08:02 1585782                    /usr/
lib64/libKF5Tnef.so.5.3.0
7f31ed21d000-7f31ed41c000 ---p 00024000 08:02 1585782                    /usr/
lib64/libKF5Tnef.so.5.3.0
7f31ed41c000-7f31ed41d000 r--p 00023000 08:02 1585782                    /usr/
lib64/libKF5Tnef.so.5.3.0
7f31ed41d000-7f31ed41e000 rw-p 00024000 08:02 1585782                    /usr/
lib64/libKF5Tnef.so.5.3.0
7f31ed41e000-7f31ed425000 r-xp 00000000 08:02 1732645                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_application_mstnef.so
7f31ed425000-7f31ed624000 ---p 00007000 08:02 1732645                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_application_mstnef.so
7f31ed624000-7f31ed625000 r--p 00006000 08:02 1732645                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_application_mstnef.so
7f31ed625000-7f31ed626000 rw-p 00007000 08:02 1732645                    /usr/
lib64/qt5/plugins/messageviewer_bodypartformatter_application_mstnef.so
7f31ed626000-7f31ed627000 ---p 00000000 00:00 0 
7f31ed627000-7f31ede27000 rw-p 00000000 00:00 0 
7f31ede27000-7f31ede4f000 r-xp 00000000 08:02 1708215                    /usr/
lib64/grantlee/5.1/grantlee_defaultfilters.so
7f31ede4f000-7f31ee04e000 ---p 00028000 08:02 1708215                    /usr/
lib64/grantlee/5.1/grantlee_defaultfilters.so
7f31ee04e000-7f31ee050000 r--p 00027000 08:02 1708215                    /usr/
lib64/grantlee/5.1/grantlee_defaultfilters.so
7f31ee050000-7f31ee051000 rw-p 00029000 08:02 1708215                    /usr/
lib64/grantlee/5.1/grantlee_defaultfilters.so
7f31ee051000-7f31ee062000 r-xp 00000000 08:02 1733464                    /usr/
lib64/grantlee/5.1/grantlee_loadertags.so
7f31ee062000-7f31ee262000 ---p 00011000 08:02 1733464                    /usr/
lib64/grantlee/5.1/grantlee_loadertags.so
7f31ee262000-7f31ee263000 r--p 00011000 08:02 1733464                    /usr/
lib64/grantlee/5.1/grantlee_loadertags.so
7f31ee263000-7f31ee264000 rw-p 00012000 08:02 1733464                    /usr/
lib64/grantlee/5.1/grantlee_loadertags.so
7f31ee264000-7f31ee297000 r-xp 00000000 08:02 1706087                    /usr/
lib64/grantlee/5.1/grantlee_defaulttags.so
7f31ee297000-7f31ee496000 ---p 00033000 08:02 1706087                    /usr/
lib64/grantlee/5.1/grantlee_defaulttags.so
7f31ee496000-7f31ee499000 r--p 00032000 08:02 1706087                    /usr/
lib64/grantlee/5.1/grantlee_defaulttags.so
7f31ee499000-7f31ee49a000 rw-p 00035000 08:02 1706087                    /usr/
lib64/grantlee/5.1/grantlee_defaulttags.so
7f31ee49a000-7f31ee49b000 ---p 00000000 00:00 0 
7f31ee49b000-7f31eec9b000 rw-p 00000000 00:00 0 
7f31eef9b000-7f31eefa9000 r-xp 00000000 08:02 1708305                    /usr/
lib64/qt5/plugins/akonadi_serializer_mail.so
7f31eefa9000-7f31ef1a8000 ---p 0000e000 08:02 1708305                    /usr/
lib64/qt5/plugins/akonadi_serializer_mail.so
7f31ef1a8000-7f31ef1a9000 r--p 0000d000 08:02 1708305                    /usr/
lib64/qt5/plugins/akonadi_serializer_mail.so
7f31ef1a9000-7f31ef1aa000 rw-p 0000e000 08:02 1708305                    /usr/
lib64/qt5/plugins/akonadi_serializer_mail.so
7f31ef1aa000-7f31ef7e4000 rw-s 119802000 00:06 11743                     /dev/
dri/card0
7f31ef7e4000-7f31f01e4000 rwxp 00000000 00:00 0 
7f31f01e4000-7f31f081e000 rw-s 00000000 00:05 2293761                    /
SYSV00000000 (deleted)
7f31f081e000-7f31f081f000 ---p 00000000 00:00 0 
7f31f081f000-7f31f101f000 rw-p 00000000 00:00 0 
7f31f101f000-7f31f1020000 ---p 00000000 00:00 0 
7f31f1020000-7f31f1820000 rw-p 00000000 00:00 0 
7f31f1820000-7f31f1825000 r-xp 00000000 08:02 1732299                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_grantleeheaderstyleplugin.so
7f31f1825000-7f31f1a25000 ---p 00005000 08:02 1732299                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_grantleeheaderstyleplugin.so
7f31f1a25000-7f31f1a26000 r--p 00005000 08:02 1732299                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_grantleeheaderstyleplugin.so
7f31f1a26000-7f31f1a27000 rw-p 00006000 08:02 1732299                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_grantleeheaderstyleplugin.so
7f31f1a27000-7f31f1a2e000 r-xp 00000000 08:02 1714866                    /usr/
lib64/qt5/plugins/messageviewer/
messageviewer_defaultgrantleeheaderstyleplugin.so
7f31f1a2e000-7f31f1c2e000 ---p 00007000 08:02 1714866                    /usr/
lib64/qt5/plugins/messageviewer/
messageviewer_defaultgrantleeheaderstyleplugin.so
7f31f1c2e000-7f31f1c2f000 r--p 00007000 08:02 1714866                    /usr/
lib64/qt5/plugins/messageviewer/
messageviewer_defaultgrantleeheaderstyleplugin.so
7f31f1c2f000-7f31f1c30000 rw-p 00008000 08:02 1714866                    /usr/
lib64/qt5/plugins/messageviewer/
messageviewer_defaultgrantleeheaderstyleplugin.so
7f31f1c30000-7f31f1c35000 r-xp 00000000 08:02 1732714                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_longheaderstyleplugin.so
7f31f1c35000-7f31f1e34000 ---p 00005000 08:02 1732714                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_longheaderstyleplugin.so
7f31f1e34000-7f31f1e35000 r--p 00004000 08:02 1732714                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_longheaderstyleplugin.so
7f31f1e35000-7f31f1e36000 rw-p 00005000 08:02 1732714                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_longheaderstyleplugin.so
7f31f1e36000-7f31f1e41000 r-xp 00000000 08:02 1711876                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_enterpriseheaderstyleplugin.so
7f31f1e41000-7f31f2041000 ---p 0000b000 08:02 1711876                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_enterpriseheaderstyleplugin.so
7f31f2041000-7f31f2042000 r--p 0000b000 08:02 1711876                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_enterpriseheaderstyleplugin.so
7f31f2042000-7f31f2043000 rw-p 0000c000 08:02 1711876                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_enterpriseheaderstyleplugin.so
7f31f2043000-7f31f2048000 r-xp 00000000 08:02 1727636                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_allheaderstyleplugin.so
7f31f2048000-7f31f2248000 ---p 00005000 08:02 1727636                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_allheaderstyleplugin.so
7f31f2248000-7f31f2249000 r--p 00005000 08:02 1727636                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_allheaderstyleplugin.so
7f31f2249000-7f31f224a000 rw-p 00006000 08:02 1727636                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_allheaderstyleplugin.so
7f31f224a000-7f31f2253000 r-xp 00000000 08:02 1730162                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_briefheaderstyleplugin.so
7f31f2253000-7f31f2452000 ---p 00009000 08:02 1730162                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_briefheaderstyleplugin.so
7f31f2452000-7f31f2453000 r--p 00008000 08:02 1730162                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_briefheaderstyleplugin.so
7f31f2453000-7f31f2454000 rw-p 00009000 08:02 1730162                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_briefheaderstyleplugin.so
7f31f2454000-7f31f245f000 r-xp 00000000 08:02 1731783                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_fancyheaderstyleplugin.so
7f31f245f000-7f31f265f000 ---p 0000b000 08:02 1731783                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_fancyheaderstyleplugin.so
7f31f265f000-7f31f2660000 r--p 0000b000 08:02 1731783                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_fancyheaderstyleplugin.so
7f31f2660000-7f31f2661000 rw-p 0000c000 08:02 1731783                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_fancyheaderstyleplugin.so
7f31f2661000-7f31f2667000 r-xp 00000000 08:02 1721699                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_standardsheaderstyleplugin.so
7f31f2667000-7f31f2866000 ---p 00006000 08:02 1721699                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_standardsheaderstyleplugin.so
7f31f2866000-7f31f2867000 r--p 00005000 08:02 1721699                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_standardsheaderstyleplugin.so
7f31f2867000-7f31f2868000 rw-p 00006000 08:02 1721699                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_standardsheaderstyleplugin.so
7f31f2868000-7f31f287c000 r-xp 00000000 08:02 1731256                    /usr/
lib64/qt5/plugins/messageviewer/messageviewer_createeventplugin.so
7f31f287c000-7f31f2a7c000 ---p 00014000 08:02 1731256                    /*** 
KMail got signal 6 (Exiting)
*** Dead letters dumped.
[0908/162153:FATAL:scoped_file.cc(29)] Check failed: 0 == 
IGNORE_EINTR(close(fd)). : Bad file descriptor
Unable to start Dr. Konqi
Comment 3 Ilia Mirkin 2016-10-05 02:57:29 UTC
This is moderately well-known by now. You can try my branch at

https://github.com/imirkin/mesa/commits/locking

which has helped some people. However it's incomplete and I don't plan on pushing it in its current state.

You can remove nouveau_dri.so from your installation, or avoid using applications that use multi-threaded rendering (this is a *very* recent trend, up until recently the only applications that used GL were games/CAD tools, and only very rarely used multi-threaded rendering). For well-supported open-source drivers, consider Intel or AMD for your next purchase.
Comment 4 Tomasz Paweł Gajc 2016-12-10 14:39:00 UTC
Ilia any chance you can merge these locking patches into main mesa tree ?

Things are getting worse...
Comment 5 Tomasz Paweł Gajc 2016-12-10 14:43:15 UTC
KDE Plasma is using more and more QtWebEngine and this means such crashes with nouveau will occur more frequently.
Comment 6 Ilia Mirkin 2016-12-10 15:27:28 UTC
(In reply to Tomasz Paweł Gajc from comment #4)
> Ilia any chance you can merge these locking patches into main mesa tree ?
> 
> Things are getting worse...

Nope - none. Those patches are broken-by-design for the general case. Either don't use nouveau_dri.so or don't use [recent versions of] KDE.

I've heard some rumors that there's some sort of env var that'll disable GL use by KDE. Or maybe tell it not to run when it detects nouveau. I don't know the details.

I believe there's an effort underway to address this, but not from me.
Comment 7 Tomasz Paweł Gajc 2016-12-10 15:46:51 UTC
(In reply to Ilia Mirkin from comment #6)
> Nope - none. Those patches are broken-by-design for the general case. Either
> don't use nouveau_dri.so or don't use [recent versions of] KDE.
> 

You are saying, don't use anything that make use of multi-threaded OpenGL or buy AMD/Intel gfx card :(

> I've heard some rumors that there's some sort of env var that'll disable GL
> use by KDE. Or maybe tell it not to run when it detects nouveau. I don't
> know the details.
> 

QT_XCB_FORCE_SOFTWARE_OPENGL=1 which invokes LIBGL_ALWAYS_SOFTWARE

> I believe there's an effort underway to address this, but not from me.

Any hints who may be that special one ?
Comment 8 Tomasz Paweł Gajc 2016-12-10 15:51:22 UTC
BTW i've applied your patches
https://github.com/OpenMandrivaAssociation/mesa/commit/5657638feb4d45e0c6be04a3326ea3a93e403bc7

Currently i'm testing this mesa build, and i must admit that qupzilla, kmail and other applications that use Qt5WebEngine or ny multi-threading OpenGL has stop crashing.
Comment 9 Ilia Mirkin 2016-12-10 20:40:24 UTC
(In reply to Tomasz Paweł Gajc from comment #7)
> (In reply to Ilia Mirkin from comment #6)
> > Nope - none. Those patches are broken-by-design for the general case. Either
> > don't use nouveau_dri.so or don't use [recent versions of] KDE.
> 
> You are saying, don't use anything that make use of multi-threaded OpenGL or
> buy AMD/Intel gfx card :(

You can interpret it as you will. The present situation is that nouveau does not support threads concurrently calling into it.

This was never a problem until software that had no business doing anything with GL or nouveau started depending on it without any kind of analysis of end-user impact (or perhaps they did analyze it and didn't care since they felt that no one uses nouveau). Somehow the nouveau developers are stuck with the fallout.

(In reply to Tomasz Paweł Gajc from comment #8)
> BTW i've applied your patches
> https://github.com/OpenMandrivaAssociation/mesa/commit/
> 5657638feb4d45e0c6be04a3326ea3a93e403bc7

Thanks for letting me know. I'll be sure to tell people to try an upstream version of mesa should they mention that they're using OpenMandriva. (Note that OpenSuSE attempted something along those lines too, but ended up just not shipping nouveau_dri.so, I believe.)

I'm going to go ahead and remove that branch to avoid any further confusion about its suitability. I figured it might let a handful of advanced users make use of their applications, but it's turning out to cause more harm than good.
Comment 10 Tomasz Paweł Gajc 2016-12-11 22:19:39 UTC
(In reply to Ilia Mirkin from comment #9)

> Thanks for letting me know. I'll be sure to tell people to try an upstream
> version of mesa should they mention that they're using OpenMandriva. (Note
> that OpenSuSE attempted something along those lines too, but ended up just
> not shipping nouveau_dri.so, I believe.)

I've checked SuSE, Fedora and Arch sources for Mesa, and these distros DOES ship nouveau_dri.so
Comment 11 Ilia Mirkin 2016-12-11 22:29:31 UTC
Tomasz - please don't go around messing about with the bugtracker. I know this stuff isn't locked down, but all the blocks/etc stuff is meant for active project contributors (as well all the importance bits). You're just conflating lots of potentially unrelated issues into one, and generating lots of unnecessary notifications. If you're interested in getting more involved in nouveau, feel free to join on irc, #nouveau on freenode.
Comment 12 Tomasz Paweł Gajc 2016-12-11 22:36:55 UTC
(In reply to Ilia Mirkin from comment #11)
> Tomasz - please don't go around messing about with the bugtracker.

Thanks Ilia, for cleaning all the related bugs (yes i did my job carefully, and read all the attached logs etc), so next reporters will create new bugs, instead of get clear information like,
Mulit-Threading OpenGL is broken in nouveau DRI drivers, 
Propsed solutions are:
* use LLVMpipe DRI driver
* buy AMD/intel gfx card
* uninstall Plasma and live in TTY cave
Comment 13 Ilia Mirkin 2016-12-11 22:48:43 UTC
(In reply to Tomasz Paweł Gajc from comment #12)
> (In reply to Ilia Mirkin from comment #11)
> > Tomasz - please don't go around messing about with the bugtracker.
> 
> Thanks Ilia, for cleaning all the related bugs (yes i did my job carefully,
> and read all the attached logs etc),

At least a bunch were unrelated. It may be hard to tell because you're not intimately familiar with how nouveau works, as well as the various differences across generations.

> so next reporters will create new bugs,
> instead of get clear information like,

Oftentimes bugs look identical, but they turn out to be quite different. I want every bug reporter to open a fresh bug. If it's identical, I'll mark it as a dup. Integers are cheap, I don't think the fd.o bugtracker is going to run out of id's too soon.

(Sorry, René, for all this spam that has been thrust upon you.)

> Mulit-Threading OpenGL is broken in nouveau DRI drivers, 
> Propsed solutions are:
> * use LLVMpipe DRI driver
> * buy AMD/intel gfx card
> * uninstall Plasma and live in TTY cave

To be clear - access from multiple threads (or multiple GL contexts) isn't the issue - it's simultaneously calling into the driver from multiple threads which doesn't work. (The distinction may be subtle, esp to the layman, I'm just being pedantic because GL is complicated and has lots of different usage models.)

I'd be happy to put up a statement on nouveau.freedesktop.org about the situation if you can send me a private email (or one to the ML if you prefer) with some specifics about what is problematic. Being unfamiliar with the Qt/KDE world, it's not immediately apparent to me.
Comment 14 René Krell 2016-12-12 09:22:18 UTC
> Sorry, René, for all this spam that has been thrust upon you.

This doesn't matter at all, I'm glad when things are moving on and if there is new information appearing from discussions.
I'm still open to help here, making valgrind reports of components, whatever help I can provide. Unfortunately, I don't know internals neither of nouveau nor of QtWebEngine and plasmashell, I'm just using (and testing) them. So I need a clear announcement what to do.

I'm using OpenSUSE Tumbleweed and I have currently uninstalled the package Mesa-dri-nouveau you already mentioned to be split off by the OpenSUSE maintainers. But at the end their patches seemed already no longer to hang up my "cutting edge" plasmashell with KMail system. I have still problems with plasmashell running into a loop eating the full CPU power unless killed and restarted. And the (QtWebEngine-based) KMail getting very slow from time to time when navigating through messages, but both issues happen already with uninstalled Mesa-dri-nouveau, so this might be a different problem.

Regarding buying a graphics hardware from a different vendor - I just cannot do this, it's built-in to my work notebook I received from my employer :-)
Comment 15 Christoph Thielecke 2019-06-05 19:53:41 UTC
I ran in similar problem:

Christoph Thielecke      2019-06-05 12:19:54 UTC  
Application: kmail (5.7.3)

Qt Version: 5.9.5
Frameworks Version: 5.47.0
Operating System: Linux 4.18.0-17-generic x86_64
Distribution: Ubuntu 18.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:
I started kmail and selected a folder with unread mail. It opens the folder (show contents on list) but on display the mail content it crashed.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f923bc88b80 (LWP 3025))]

Thread 28 (Thread 0x7f9161d7c700 (LWP 3096)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f921fddffb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f921fddff68, cond=0x7f921fddff90) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f921fddff90, mutex=0x7f921fddff68) at pthread_cond_wait.c:655
#3  0x00007f921fae95f4 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#4  0x00007f921fae9639 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#5  0x00007f922e6776db in start_thread (arg=0x7f9161d7c700) at pthread_create.c:463
#6  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7f91631fc700 (LWP 3084)):
#0  0x00007f9238d760b4 in __GI___libc_read (fd=88, buf=0x7f91631fb810, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f922ca662d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f922ca210b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f922ca21570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f922ca216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f92396c390b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f923948722a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f922e6776db in start_thread (arg=0x7f91631fc700) at pthread_create.c:463
#10 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f91957fa700 (LWP 3060)):
#0  0x00007f9238d7abf9 in __GI___poll (fds=0x7f9174007030, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f921c49a481 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#2  0x00007f921c48be40 in pa_mainloop_poll () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f921c48c4d0 in pa_mainloop_iterate () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f921c48c560 in pa_mainloop_run () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f921c49a3c9 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f9213ac8318 in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#7  0x00007f922e6776db in start_thread (arg=0x7f91957fa700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f9195ffb700 (LWP 3059)):
#0  0x00007f9238d966ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f9238d98474 in ___fprintf_chk (fp=0x7f92390538b0 <_IO_stdfile_2_lock>, flag=1, format=0x7f921a51a6a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f921a5029ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f921a502b44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007f921a50446c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007f921a4fa114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007f92234e9ab9 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f922351a4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f922e6776db in start_thread (arg=0x7f9195ffb700) at pthread_create.c:463
#12 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f91967fc700 (LWP 3058)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f91967fb738) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f91967fb6e8, cond=0x7f91967fb710) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f91967fb710, mutex=0x7f91967fb6e8) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922351a4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922e6776db in start_thread (arg=0x7f91967fc700) at pthread_create.c:463
#11 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f9196ffd700 (LWP 3057)):
#0  0x00007f922e67ded9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f9196ffc5d0, expected=0, futex_word=0x7f9196ffc758) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f922e67ded9 in __pthread_cond_wait_common (abstime=0x7f9196ffc670, mutex=0x7f9196ffc708, cond=0x7f9196ffc730) at pthread_cond_wait.c:533
#2  0x00007f922e67ded9 in __pthread_cond_timedwait (cond=0x7f9196ffc730, mutex=0x7f9196ffc708, abstime=0x7f9196ffc670) at pthread_cond_wait.c:667
#3  0x00007f9223547652 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e91e in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e952b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922351a4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922e6776db in start_thread (arg=0x7f9196ffd700) at pthread_create.c:463
#11 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f91977fe700 (LWP 3056)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ed99707828) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55ed99707768, cond=0x55ed99707800) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x55ed99707800, mutex=0x55ed99707768) at pthread_cond_wait.c:655
#3  0x00007f9223ca0060 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f9223519f11 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f922e6776db in start_thread (arg=0x7f91977fe700) at pthread_create.c:463
#7  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f9197fff700 (LWP 3055)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f9197ffe738) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f9197ffe6e8, cond=0x7f9197ffe710) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f9197ffe710, mutex=0x7f9197ffe6e8) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922351a4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922e6776db in start_thread (arg=0x7f9197fff700) at pthread_create.c:463
#11 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f91b8ff9700 (LWP 3054)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ed99737678) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55ed99737628, cond=0x55ed99737650) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x55ed99737650, mutex=0x55ed99737628) at pthread_cond_wait.c:655
#3  0x00007f9223518c95 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f9223519177 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f9223519f11 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91b8ff9700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f91b97fa700 (LWP 3053)):
#0  0x00007f9238d966ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f9238d98474 in ___fprintf_chk (fp=0x7f92390538b0 <_IO_stdfile_2_lock>, flag=1, format=0x7f921a51a6a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f921a5029ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f921a502b44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007f921a50446c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007f921a4fa114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007f92234e9bf3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f9222da0978 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f9222da0f2b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f922351a588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f922e6776db in start_thread (arg=0x7f91b97fa700) at pthread_create.c:463
#14 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f91b9ffb700 (LWP 3052)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f91b9ffa358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f91b9ffa308, cond=0x7f91b9ffa330) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f91b9ffa330, mutex=0x7f91b9ffa308) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f9222da08c8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f9222da0f1b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922351a588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f922e6776db in start_thread (arg=0x7f91b9ffb700) at pthread_create.c:463
#13 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f91ba7fc700 (LWP 3051)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f91ba7fb358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f91ba7fb308, cond=0x7f91ba7fb330) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f91ba7fb330, mutex=0x7f91ba7fb308) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f9222da0818 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f9222da0f0b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922351a588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f922e6776db in start_thread (arg=0x7f91ba7fc700) at pthread_create.c:463
#13 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f91baffd700 (LWP 3050)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f91baffc358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f91baffc308, cond=0x7f91baffc330) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f91baffc330, mutex=0x7f91baffc308) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f9222da0768 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f9222da0efb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922351a588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f922e6776db in start_thread (arg=0x7f91baffd700) at pthread_create.c:463
#13 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f91bb7fe700 (LWP 3049)):
#0  0x00007f9238d966ac in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f9238d98474 in ___fprintf_chk (fp=0x7f92390538b0 <_IO_stdfile_2_lock>, flag=1, format=0x7f921a51a6a8 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f921a5029ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f921a502b44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#4  0x00007f921a50446c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#5  0x00007f921a4fa114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#6  0x00007f92234e9b0d in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f9222da06b8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f9222da0eeb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f922351a588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f922e6776db in start_thread (arg=0x7f91bb7fe700) at pthread_create.c:463
#14 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f91d0876700 (LWP 3048)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f91d0875358) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f91d0875308, cond=0x7f91d0875330) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f91d0875330, mutex=0x7f91d0875308) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f9222da0608 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f9222da0edb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922351a588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f922e6776db in start_thread (arg=0x7f91d0876700) at pthread_create.c:463
#13 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f91bbfff700 (LWP 3047)):
#0  0x00007f922e67ded9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f91bbffe7e0, expected=0, futex_word=0x7f91bc004660) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f922e67ded9 in __pthread_cond_wait_common (abstime=0x7f91bbffe880, mutex=0x7f91bc004610, cond=0x7f91bc004638) at pthread_cond_wait.c:533
#2  0x00007f922e67ded9 in __pthread_cond_timedwait (cond=0x7f91bc004638, mutex=0x7f91bc004610, abstime=0x7f91bbffe880) at pthread_cond_wait.c:667
#3  0x00007f9223547652 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922351d799 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f922351dcfb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91bbfff700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f91d1077700 (LWP 3046)):
#0  0x00007f922e67ded9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f91d10767e0, expected=0, futex_word=0x7f91bc004664) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f922e67ded9 in __pthread_cond_wait_common (abstime=0x7f91d1076880, mutex=0x7f91bc004610, cond=0x7f91bc004638) at pthread_cond_wait.c:533
#2  0x00007f922e67ded9 in __pthread_cond_timedwait (cond=0x7f91bc004638, mutex=0x7f91bc004610, abstime=0x7f91d1076880) at pthread_cond_wait.c:667
#3  0x00007f9223547652 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922351d799 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f922351dcfb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91d1077700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f91d1878700 (LWP 3045)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f91d1877738) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f91d18776e8, cond=0x7f91d1877710) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x7f91d1877710, mutex=0x7f91d18776e8) at pthread_cond_wait.c:655
#3  0x00007f922350e999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f922350e9c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f92234e94db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f922351a4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f922e6776db in start_thread (arg=0x7f91d1878700) at pthread_create.c:463
#11 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f91d2079700 (LWP 3044)):
#0  0x00007f9238d76187 in __GI___libc_write (fd=2, buf=0x7f91d2075ac0, nbytes=47) at ../sysdeps/unix/sysv/linux/write.c:27
#1  0x00007f9238cf11bd in _IO_new_file_write (f=0x7f9239052680 <_IO_2_1_stderr_>, data=0x7f91d2075ac0, n=47) at fileops.c:1203
#2  0x00007f9238cf1b2f in new_do_write (to_do=<optimized out>, data=0x7f91d2075ac0 "[warn] epoll_wait: Ung\303\274ltiger Dateideskriptor\n", fp=0x7f9239052680 <_IO_2_1_stderr_>) at fileops.c:457
#3  0x00007f9238cf1b2f in _IO_new_file_xsputn (f=0x7f9239052680 <_IO_2_1_stderr_>, data=<optimized out>, n=47) at fileops.c:1277
#4  0x00007f9238cc4707 in buffered_vfprintf (s=s@entry=0x7f9239052680 <_IO_2_1_stderr_>, format=format@entry=0x7f921a51a6a8 "[%s] %s\n", args=args@entry=0x7f91d2078080) at vfprintf.c:2350
#5  0x00007f9238cc1726 in _IO_vfprintf_internal (s=s@entry=0x7f9239052680 <_IO_2_1_stderr_>, format=0x7f921a51a6a8 "[%s] %s\n", ap=ap@entry=0x7f91d2078080) at vfprintf.c:1301
#6  0x00007f9238d984c6 in ___fprintf_chk (fp=0x7f9239052680 <_IO_2_1_stderr_>, flag=1, format=<optimized out>) at fprintf_chk.c:35
#7  0x00007f921a5029ad in event_logv_ () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#8  0x00007f921a502b44 in event_warn () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#9  0x00007f921a50446c in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#10 0x00007f921a4fa114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#11 0x00007f92234e9ab9 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f92234e5da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#13 0x00007f922350277b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#14 0x00007f922351a4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#15 0x00007f92235165eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#16 0x00007f922e6776db in start_thread (arg=0x7f91d2079700) at pthread_create.c:463
#17 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f91d3fff700 (LWP 3037)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ed996f9390) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55ed996f9340, cond=0x55ed996f9368) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x55ed996f9368, mutex=0x55ed996f9340) at pthread_cond_wait.c:655
#3  0x00007f923948d59b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f9239485c0b in QSemaphore::acquire(int) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f91dd1cb80c in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/texttospeech/libqttexttospeech_flite.so
#6  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91d3fff700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f91de074700 (LWP 3035)):
#0  0x00007f922e67f035 in __GI___pthread_getspecific (key=7) at pthread_getspecific.c:31
#1  0x00007f922ca49680 in g_thread_self () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f922ca216cd in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f92396c390b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f923948722a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91de074700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f91e73a1700 (LWP 3032)):
#0  0x00007f9238d760b4 in __GI___libc_read (fd=16, buf=0x7f91e73a0810, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f922ca662d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f922ca210b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f922ca21570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f922ca216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f92396c390b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f923948722a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f922e6776db in start_thread (arg=0x7f91e73a1700) at pthread_create.c:463
#10 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f91e7ba2700 (LWP 3031)):
#0  0x00007f9238d7abf9 in __GI___poll (fds=0x7f91e0003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f922ca215c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f922ca216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f92396c390b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f923948722a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91e7ba2700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f91f4c25700 (LWP 3030)):
#0  0x00007f922ca20e18 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f922ca21570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f922ca216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f92396c390b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f923948722a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f922e6776db in start_thread (arg=0x7f91f4c25700) at pthread_create.c:463
#8  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f91f5e36700 (LWP 3029)):
#0  0x00007f9238d760b4 in __GI___libc_read (fd=10, buf=0x7f91f5e357e0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f922ca662d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f922ca210b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f922ca21570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f922ca216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f92396c390b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f923948722a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f9237cbed45 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f922e6776db in start_thread (arg=0x7f91f5e36700) at pthread_create.c:463
#11 0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f91f6b17700 (LWP 3028)):
#0  0x00007f922e67d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55ed99345848) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f922e67d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55ed993457f8, cond=0x55ed99345820) at pthread_cond_wait.c:502
#2  0x00007f922e67d9f3 in __pthread_cond_wait (cond=0x55ed99345820, mutex=0x55ed993457f8) at pthread_cond_wait.c:655
#3  0x00007f9200398e6b in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#4  0x00007f9200398b97 in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#5  0x00007f922e6776db in start_thread (arg=0x7f91f6b17700) at pthread_create.c:463
#6  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f920390b700 (LWP 3027)):
#0  0x00007f9238d7abf9 in __GI___poll (fds=0x7f920390a928, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f922be50747 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f922be5236a in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f92056062a9 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f923948c16d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f922e6776db in start_thread (arg=0x7f920390b700) at pthread_create.c:463
#6  0x00007f9238d8788f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f923bc88b80 (LWP 3025)):
[KCrash Handler]
#6  0x00007f9238ca4e97 in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007f9238ca6801 in __GI_abort () at abort.c:79
#8  0x00007f9238c9639a in __assert_fail_base (fmt=0x7f923bd43195 "%s%s%s:%u: %s%sZusicherung \302\273%s\302\253 nicht erf\303\274llt.\n%n", assertion=assertion@entry=0x7f91fbbee608 "kref", file=file@entry=0x7f91fbbee5f2 "../nouveau/pushbuf.c", line=line@entry=723, function=function@entry=0x7f91fbbee740 "nouveau_pushbuf_data") at assert.c:92
#9  0x00007f9238c96412 in __GI___assert_fail (assertion=0x7f91fbbee608 "kref", file=0x7f91fbbee5f2 "../nouveau/pushbuf.c", line=723, function=0x7f91fbbee740 "nouveau_pushbuf_data") at assert.c:101
#10 0x00007f91fbbec9ad in  () at /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
#11 0x00007f91fbbec966 in nouveau_pushbuf_data () at /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
#12 0x00007f91fbbeca3f in  () at /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
#13 0x00007f91fbbeceaf in  () at /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
#14 0x00007f91fbbeda40 in nouveau_pushbuf_kick () at /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
#15 0x00007f9200669116 in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#16 0x00007f92002d0b8b in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#17 0x00007f920049520a in  () at /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
#18 0x00007f9201c4fd88 in  () at /usr/lib/x86_64-linux-gnu/libGLX_mesa.so.0
#19 0x00007f9202f038f2 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
#20 0x00007f9239c6600a in QOpenGLContext::swapBuffers(QSurface*) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#21 0x00007f9239f1ab9f in QPlatformBackingStore::composeAndFlush(QWindow*, QRegion const&, QPoint const&, QPlatformTextureList*, QOpenGLContext*, bool) () at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#22 0x00007f9205625df7 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#23 0x00007f923a3f5067 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#24 0x00007f923a3f67e2 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#25 0x00007f923a3f778f in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#26 0x00007f923a3f8095 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#27 0x00007f923a40f66f in QWidgetPrivate::syncBackingStore() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f923a4271a8 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#29 0x00007f923a53ac4b in QMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#30 0x00007f923877ab87 in KMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#31 0x00007f92387bfa05 in KXmlGuiWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#32 0x00007f923a3e882c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f923a3f00f4 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#34 0x00007f923966a9a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#35 0x00007f923966d11d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#36 0x00007f92396c42c3 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#37 0x00007f922ca21417 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007f922ca21650 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007f922ca216dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x00007f92396c38ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#41 0x00007f92396689ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#42 0x00007f9239671a84 in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#43 0x000055ed988f37cd in  ()
#44 0x00007f9238c87b97 in __libc_start_main (main=0x55ed988f2840, argc=3, argv=0x7fff13144e48, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff13144e38) at ../csu/libc-start.c:310
#45 0x000055ed988f38fa in _start ()


--- end backtrace ----

dpkg -l| grep mesa
ii  libegl-mesa0:amd64                              18.2.8-0ubuntu0~18.04.2                             amd64        free implementation of the EGL API -- Mesa vendor library
ii  libegl1-mesa:amd64                              18.2.8-0ubuntu0~18.04.2                             amd64        transitional dummy package
ii  libgl1-mesa-dri:amd64                           18.2.8-0ubuntu0~18.04.2                             amd64        free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-dri:i386                            18.2.8-0ubuntu0~18.04.2                             i386         free implementation of the OpenGL API -- DRI modules
ii  libgl1-mesa-glx:i386                            18.2.8-0ubuntu0~18.04.2                             i386         transitional dummy package
ii  libglapi-mesa:amd64                             18.2.8-0ubuntu0~18.04.2                             amd64        free implementation of the GL API -- shared library
ii  libglapi-mesa:i386                              18.2.8-0ubuntu0~18.04.2                             i386         free implementation of the GL API -- shared library
ii  libglu1-mesa:amd64                              9.0.0-2.1build1                                     amd64        Mesa OpenGL utility library (GLU)
ii  libglu1-mesa:i386                               9.0.0-2.1build1                                     i386         Mesa OpenGL utility library (GLU)
ii  libglx-mesa0:amd64                              18.2.8-0ubuntu0~18.04.2                             amd64        free implementation of the OpenGL API -- GLX vendor library
ii  libglx-mesa0:i386                               18.2.8-0ubuntu0~18.04.2                             i386         free implementation of the OpenGL API -- GLX vendor library
ii  libosmesa6:amd64                                18.2.8-0ubuntu0~18.04.2                             amd64        Mesa Off-screen rendering extension
ii  libosmesa6:i386                                 18.2.8-0ubuntu0~18.04.2                             i386         Mesa Off-screen rendering extension
ii  libwayland-egl1-mesa:amd64                      18.2.8-0ubuntu0~18.04.2                             amd64        transitional dummy package
ii  mesa-utils                                      8.4.0-1                                             amd64        Miscellaneous Mesa GL utilities
ii  mesa-va-drivers:amd64                           18.2.8-0ubuntu0~18.04.2                             amd64        Mesa VA-API video acceleration drivers
ii  mesa-vdpau-drivers:amd64                        18.2.8-0ubuntu0~18.04.2                             amd64        Mesa VDPAU video acceleration drivers

dpkg -l| grep xorg
ii  python3-xkit                                    0.5.0ubuntu2                                        all          library for the manipulation of xorg.conf files (Python 3)
ii  xorg                                            1:7.7+19ubuntu7.1                                   amd64        X.Org X Window System
ii  xorg-docs-core                                  1:1.7.1-1.1                                         all          Core documentation for the X.org X Window System
ii  xorg-sgml-doctools                              1:1.11-1                                            all          Common tools for building X.Org SGML documentation
ii  xserver-xorg                                    1:7.7+19ubuntu7.1                                   amd64        X.Org X server
ii  xserver-xorg-core                               2:1.19.6-1ubuntu4.2                                 amd64        Xorg X server - core server
ii  xserver-xorg-input-all                          1:7.7+19ubuntu7.1                                   amd64        X.Org X server -- input driver metapackage
ii  xserver-xorg-input-evdev                        1:2.10.5-1ubuntu1                                   amd64        X.Org X server -- evdev input driver
ii  xserver-xorg-input-libinput                     0.27.1-1                                            amd64        X.Org X server -- libinput input driver
ii  xserver-xorg-input-synaptics                    1.9.0-1ubuntu1                                      amd64        Synaptics TouchPad driver for X.Org server
ii  xserver-xorg-input-wacom                        1:0.36.1-0ubuntu1                                   amd64        X.Org X server -- Wacom input driver
ii  xserver-xorg-legacy                             2:1.19.6-1ubuntu4.2                                 amd64        setuid root Xorg server wrapper
ii  xserver-xorg-video-all                          1:7.7+19ubuntu7.1                                   amd64        X.Org X server -- output driver metapackage
ii  xserver-xorg-video-amdgpu                       18.0.1-1                                            amd64        X.Org X server -- AMDGPU display driver
ii  xserver-xorg-video-ati                          1:18.0.1-1                                          amd64        X.Org X server -- AMD/ATI display driver wrapper
ii  xserver-xorg-video-fbdev                        1:0.4.4-1build6                                     amd64        X.Org X server -- fbdev display driver
ii  xserver-xorg-video-intel                        2:2.99.917+git20171229-1                            amd64        X.Org X server -- Intel i8xx, i9xx display driver
ii  xserver-xorg-video-nouveau                      1:1.0.15-2                                          amd64        X.Org X server -- Nouveau display driver             
ii  xserver-xorg-video-qxl                          0.1.5-2build1                                       amd64        X.Org X server -- QXL display driver                 
ii  xserver-xorg-video-radeon                       1:18.0.1-1                                          amd64        X.Org X server -- AMD/ATI Radeon display driver      
ii  xserver-xorg-video-vesa                         1:2.3.4-1build3                                     amd64        X.Org X server -- VESA display driver                
ii  xserver-xorg-video-vmware                       1:13.2.1-1build1                                    amd64        X.Org X server -- VMware display driver
Comment 16 Andrew Randrianasulu 2019-06-07 02:57:23 UTC
well, may be I should link those here (Ilia, please don't be mad at me):

https://github.com/karolherbst/mesa/tree/mt_fixes_take2 (last update from 13 april 2019)

https://lists.freedesktop.org/archives/nouveau/2019-January/031968.html ([Nouveau] Nouveau channel resets userspace handling) with links to Karol's github.

Also, not sure if it helped or I was just lucky, but running kernel 5.1.6 with

CONFIG_IOMMU_DEFAULT_PASSTHROUGH=y

and 

CONFIG_PREEMPT=y
CONFIG_PREEMPT_COUNT=y
CONFIG_PREEMPT_RCU=y
CONFIG_PREEMPT_NOTIFIERS=y
CONFIG_DEBUG_PREEMPT=y

[low-latency desktop in kconfig]

apparently helped my stability with nouveau and 01:00.0 VGA compatible controller: NVIDIA Corporation G92 [GeForce 8800 GS] (rev a2)

but I can't be ubersure, may be this is weather, or power (un)stability ..currently uptime is '05:18:58 up 6 days,  1:10,  2 users,  load average: 0.85, 1.04, 1.05' and before this  same machine was staying on and s2ram for two weeks. So, may be preemtion level actually can play some role? (I once run into bug where nouveau stopped working for older machine if I build my kernel without any preemtion - https://bugs.freedesktop.org/show_bug.cgi?id=58615 comment #13)
Comment 17 GitLab Migration User 2019-09-18 20:43:11 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1112.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.